Get Account Invoices
Retrieve invoices for a specific account.
Supports:
- Pagination (`page_size`, `page`)
- Date filtering (`updated_after`, `updated_before`)
- Sorting (`order_by`)
**Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated.
Authentication
x-api-keystring
API Key authentication via header
Path parameters
account_id
Account identifier
Query parameters
page_size
Number of items per page (max 100)
page
Page number (1-based)
order_by
Sort order for results
Allowed values:
updated_after
Filter items updated after this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.
updated_before
Filter items updated before this timestamp (ISO 8601). Also matches records whose custom property values changed within the window.
Response
List of invoices for the account
id
Invoice identifier
invoiceNumber
Unique invoice number
status
Invoice status
amount
Total invoice amount
amountPaid
Amount paid
calculationMethod
Calculation method (e.g., LINE_ITEMS)
createdAt
Creation timestamp
updatedAt
Last update timestamp
description
Invoice description
basedOnId
ID of the record this invoice is based on
basedOnUid
UID of the record this invoice is based on
dueDate
Due date
issueDate
Issue date when the invoice has been issued
isArchived
Whether the invoice is archived
percentage
Percentage if applicable
baseAmount
Base amount if applicable
account
record
lineItems
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
